# vim: set sw=4 ts=4 et nu:

Name:           perl-Tk-FontDialog
Version:        0.15
Release:        3.2
Summary:        Font dialog widget for perl/Tk
Source:         http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/Tk-FontDialog-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Tk-FontDialog
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Tk) >= 800
BuildRequires:  freetype2-devel
Requires:       perl(Tk) >= 800
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Tk::FontDialog implements a font dialog widget.

The dialog is displayed by calling the Show method. The returned value is
either the selected font (if the dialog was closed with the Ok button) or undef
(otherwise). The exact type of the return value is either a Tk::Font object (in
Tk800) or a font name string (usually something like font1). Both can be used
as values in Tk -font options. See "GetDescriptiveFontName"

In the Family and Size listboxes, the font family and font size can be
specified. The checkbuttons on the right turn on bold, italic, underlined and
overstriked variants of the chosen font. A sample of the font is shown in the
middle area.

%prep
%setup -q -n "Tk-FontDialog-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Tk
%{perl_vendorlib}/Tk/FontDialog.pm
%doc %{perl_man3dir}/Tk::FontDialog.%{perl_man3ext}%{ext_man}

%changelog
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- initial version (0.15)
